{
	"configurations" : 
	[
		{
			"directories" : 
			[
				{
					"build" : ".",
					"childIndexes" : 
					[
						1
					],
					"hasInstallRule" : true,
					"jsonFile" : "directory-.-5e3bedff5700a6b1d6e3.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.12"
					},
					"projectIndex" : 0,
					"source" : ".",
					"targetIndexes" : 
					[
						0,
						1,
						2,
						3,
						4,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21,
						22
					]
				},
				{
					"build" : "cpp_prococol__py",
					"jsonFile" : "directory-cpp_prococol__py-a14d4677a1d0c993fa88.json",
					"minimumCMakeVersion" : 
					{
						"string" : "3.12"
					},
					"parentIndex" : 0,
					"projectIndex" : 0,
					"source" : "build/cpp_prococol/cpp_prococol__py",
					"targetIndexes" : 
					[
						5
					]
				}
			],
			"name" : "",
			"projects" : 
			[
				{
					"directoryIndexes" : 
					[
						0,
						1
					],
					"name" : "cpp_prococol",
					"targetIndexes" : 
					[
						0,
						1,
						2,
						3,
						4,
						5,
						6,
						7,
						8,
						9,
						10,
						11,
						12,
						13,
						14,
						15,
						16,
						17,
						18,
						19,
						20,
						21,
						22
					]
				}
			],
			"targets" : 
			[
				{
					"directoryIndex" : 0,
					"id" : "ament_cmake_python_build_cpp_prococol_egg::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-ament_cmake_python_build_cpp_prococol_egg-e535cf1e97e7e5191cf9.json",
					"name" : "ament_cmake_python_build_cpp_prococol_egg",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "ament_cmake_python_copy_cpp_prococol::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-ament_cmake_python_copy_cpp_prococol-0e23abbbc0cee1486f21.json",
					"name" : "ament_cmake_python_copy_cpp_prococol",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_client_service::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_client_service-53169eddbe9f5d892bc2.json",
					"name" : "cpp_client_service",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol-caa3e06aa7c738b4633b.json",
					"name" : "cpp_prococol",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__cpp::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__cpp-1224afffc35985738074.json",
					"name" : "cpp_prococol__cpp",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 1,
					"id" : "cpp_prococol__py::@e92cc0d25837ec244846",
					"jsonFile" : "target-cpp_prococol__py-d92ec07b1d4ca66f725a.json",
					"name" : "cpp_prococol__py",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__rosidl_generator_c::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__rosidl_generator_c-285d7a1577642de4777b.json",
					"name" : "cpp_prococol__rosidl_generator_c",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__rosidl_generator_py::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__rosidl_generator_py-28dabf48908254f1fbbf.json",
					"name" : "cpp_prococol__rosidl_generator_py",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__rosidl_typesupport_c::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__rosidl_typesupport_c-284e4fd88cf34f0bb68a.json",
					"name" : "cpp_prococol__rosidl_typesupport_c",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__rosidl_typesupport_c__pyext::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__rosidl_typesupport_c__pyext-0177c79d9b787675d890.json",
					"name" : "cpp_prococol__rosidl_typesupport_c__pyext",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__rosidl_typesupport_cpp::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__rosidl_typesupport_cpp-e604688d70eb11e1c9ee.json",
					"name" : "cpp_prococol__rosidl_typesupport_cpp",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__rosidl_typesupport_fastrtps_c::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__rosidl_typesupport_fastrtps_c-596810f4e6b68c40e418.json",
					"name" : "cpp_prococol__rosidl_typesupport_fastrtps_c",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__rosidl_typesupport_fastrtps_c__pyext::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__rosidl_typesupport_fastrtps_c__pyext-50d252613a006d10ee98.json",
					"name" : "cpp_prococol__rosidl_typesupport_fastrtps_c__pyext",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__rosidl_typesupport_fastrtps_cpp::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__rosidl_typesupport_fastrtps_cpp-c456d66826af7092da33.json",
					"name" : "cpp_prococol__rosidl_typesupport_fastrtps_cpp",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__rosidl_typesupport_introspection_c::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__rosidl_typesupport_introspection_c-17427a7ffcc6d450d902.json",
					"name" : "cpp_prococol__rosidl_typesupport_introspection_c",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__rosidl_typesupport_introspection_c__pyext::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__rosidl_typesupport_introspection_c__pyext-3fbcbab9e6daaa28f0c5.json",
					"name" : "cpp_prococol__rosidl_typesupport_introspection_c__pyext",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol__rosidl_typesupport_introspection_cpp::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol__rosidl_typesupport_introspection_cpp-298033e86d94e6553f68.json",
					"name" : "cpp_prococol__rosidl_typesupport_introspection_cpp",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_prococol_uninstall::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_prococol_uninstall-d4ed23748b36d7b027b9.json",
					"name" : "cpp_prococol_uninstall",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_pub_node::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_pub_node-89d143c12af44303ead6.json",
					"name" : "cpp_pub_node",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_server_action::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_server_action-028a69559a4744340193.json",
					"name" : "cpp_server_action",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_server_service::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_server_service-353b0186c6dcf6cb4f25.json",
					"name" : "cpp_server_service",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "cpp_sub_node::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-cpp_sub_node-b0ca3720f37baf4a5e06.json",
					"name" : "cpp_sub_node",
					"projectIndex" : 0
				},
				{
					"directoryIndex" : 0,
					"id" : "uninstall::@6890427a1f51a3e7e1df",
					"jsonFile" : "target-uninstall-abab69ec32a1baf6955c.json",
					"name" : "uninstall",
					"projectIndex" : 0
				}
			]
		}
	],
	"kind" : "codemodel",
	"paths" : 
	{
		"build" : "/home/quella/ROS2_WS/protocol_ws/cpp_prococol/build/cpp_prococol",
		"source" : "/home/quella/ROS2_WS/protocol_ws/cpp_prococol"
	},
	"version" : 
	{
		"major" : 2,
		"minor" : 3
	}
}
